import {app, BrowserWindow} from "electron";

let win:Electron.BrowserWindow | null;

function createWindow(){
    win = new BrowserWindow({width:960,height:540,"resizable":false,"useContentSize":true});
    win.loadURL(`file://${__dirname}/../../index.html`);
    win.on("closed",()=>{win=null});
}

app.on("ready",createWindow);
app.on("window-all-closed",()=>{
    if(process.platform !== "darwin"){
        app.quit();
    }
});

app.on("activate",()=>{
    if(win === null){
        createWindow();
    }
})