"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var electron_1 = require("electron");
var win;
function createWindow() {
    win = new electron_1.BrowserWindow({ width: 960, height: 540, "resizable": false, "useContentSize": true });
    win.loadURL("file://" + __dirname + "/../../index.html");
    win.on("closed", function () { win = null; });
}
electron_1.app.on("ready", createWindow);
electron_1.app.on("window-all-closed", function () {
    if (process.platform !== "darwin") {
        electron_1.app.quit();
    }
});
electron_1.app.on("activate", function () {
    if (win === null) {
        createWindow();
    }
});
